I think you should try a lighter version (Lubuntu or xbuntu )